Subject: [PATCH v3 0/4] dmaengine: Device Tree support for Atmel DMA

From: [email-masked] (Nicolas Ferre)
Date: Sun, 23 Oct 2011 16:30:23 +0200

On 10/17/2011 02:54 PM, Nicolas Ferre :
> On 10/12/2011 06:57 PM, Nicolas Ferre :
>> This series add the device tree support to Atmel DMA controller driver:
>> at_hdmac.
>> The removal of platform data ease the conversion to device tree. It also have
>> the additional benefit of being simpler and cleaner.
>>
>> Nicolas Ferre (4):
>>       dmaengine: at_hdmac: platform data move to use .id_table
>>       dmaengine: at_hdmac: add device tree support
>>       ARM: at91/dma: remove platform data from DMA controller
>>       ARM: at91/dma: DMA controller registering with DT support
>>
>>  .../devicetree/bindings/dma/atmel-dma.txt          |   14 ++++
>>  arch/arm/mach-at91/at91sam9g45_devices.c           |   17 ++---
>>  arch/arm/mach-at91/at91sam9rl_devices.c            |    8 +--
>>  arch/arm/mach-at91/include/mach/at_hdmac.h         |   10 ---
>>  drivers/dma/at_hdmac.c                             |   76 +++++++++++++++++---
>>  drivers/dma/at_hdmac_regs.h                        |    8 ++
>>  6 files changed, 97 insertions(+), 36 deletions(-)
>>  create mode 100644 Documentation/devicetree/bindings/dma/atmel-dma.txt
> 
> Vinod,
> 
> I have just rebased the dmaengine at_hdmac driver patches on top of your
> "next" branch as a "v4" series. I send it to you with Grant's "Acked-by"
> right now.

Vinod,

Ping?

Do you want me to provide you a git tree for those two patches?
Do you think it can make it for 3.2 merge window?

Best regards,
-- 
Nicolas Ferre